# `setRenderMode` ( class in module `jsPlumb` )

## Description

Sets render mode. jsPlumb will fall back to VML if it determines that what you asked for is not supported (and that VML is). If you asked for VML but the browser does not support it, jsPlumb uses SVG.

## Parameters

- `mode – {string} –`

  One of `jsPlumb.SVG,` jsPlumb.VML `or` jsPlumb.CANVAS`.

## Returns

`{string}` –

The render mode that jsPlumb set, which of course may be different from that requested.